Subject: bug#21777: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Sep 2020 17:41:06 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 23 Sep 2020 14:53:53 +0200
> 
> But I'm still not sure this is actually what is going on, because I'm
> just not finding exactly where this happens.  For instance,
> `window--adjust-process-windows' is never called in buffers started with
> `M-x gud-gdb'...  and adjusting the frame size in a buffer started with
> `M-x gdb' does not make gdb switch the pager on.  

The value of window-adjust-process-window-size-function in the GUD
buffer is window-adjust-process-window-size-smallest.  Did you try to
trace that function?

> Grepping for SIGWINCH doesn't immediately give me any clues, either.

We don't send SIGWINCH, we use IOCTL, AFAIR.